dbXML API

## org.dbxml.xml.dom
Class DOMImplementationImpl

    java.lang.Object
      |
      +--org.dbxml.xml.dom.DOMImplementationImpl

All Implemented Interfaces:
  org.w3c.dom.DOMImplementation

public final class DOMImplementationImpl
extends java.lang.Object
implements org.w3c.dom.DOMImplementation

DOMImplementationImpl

Method Summary
`org.w3c.dom.Document` `createDocument(java.lang.String namespaceURI, java.lang.String qualifiedName, org.w3c.dom.DocumentType doctype)` Creates an XML `Document` object of the specified type with its document element.
`org.w3c.dom.DocumentType` `createDocumentType(java.lang.String qualifiedName, java.lang.String publicId, java.lang.String systemId)` Creates an empty `DocumentType` node.
`static org.w3c.dom.DOMImplementation` `getInstance()`
`boolean` `hasFeature(java.lang.String feature, java.lang.String version)` Test if the DOM implementation implements a specific feature.
`static boolean` `HasFeature(java.lang.String feature, java.lang.String version)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static org.w3c.dom.DOMImplementation getInstance()

### HasFeature

    public static boolean HasFeature(java.lang.String feature,
                                     java.lang.String version)

### hasFeature

    public boolean hasFeature(java.lang.String feature,
                              java.lang.String version)

  Test if the DOM implementation implements a specific feature.
  Specified by:
    `hasFeature` in interface `org.w3c.dom.DOMImplementation`
  Parameters:
    `feature` - The package name of the feature to test. In Level 1, the legal values are "HTML" and "XML" (case-insensitive).
    `version` - This is the version number of the package name to test. In Level 1, this is the string "1.0". If the version is not specified, supporting any version of the feature will cause the method to return `true`.
  Returns:
    `true` if the feature is implemented in the specified version, `false` otherwise.

### createDocumentType

    public org.w3c.dom.DocumentType createDocumentType(java.lang.String qualifiedName,
                                                       java.lang.String publicId,
                                                       java.lang.String systemId)
                                                throws org.w3c.dom.DOMException

  Creates an empty `DocumentType` node. Entity declarations and notations are not made available. Entity reference expansions and default attribute additions do not occur. It is expected that a future version of the DOM will provide a way for populating a `DocumentType`.
  HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `createDocumentType` in interface `org.w3c.dom.DOMImplementation`
  Parameters:
    `qualifiedNameThe` - qualified name of the document type to be created.
    `publicIdThe` - external subset public identifier.
    `systemIdThe` - external subset system identifier.
  Returns:
    A new `DocumentType` node with `Node.ownerDocument` set to `null`.
  Throws:
    `org.w3c.dom.DOMException` - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
    NAMESPACE_ERR: Raised if the `qualifiedName` is malformed.
  Since:
    DOM Level 2

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName,
                                               org.w3c.dom.DocumentType doctype)
                                        throws org.w3c.dom.DOMException

  Creates an XML `Document` object of the specified type with its document element. HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `createDocument` in interface `org.w3c.dom.DOMImplementation`
  Parameters:
    `namespaceURIThe` - namespace URI of the document element to create.
    `qualifiedNameThe` - qualified name of the document element to be created.
    `doctypeThe` - type of document to be created or `null`. When `doctype` is not `null`, its `Node.ownerDocument` attribute is set to the document being created.
  Returns:
    A new `Document` object.
  Throws:
    `org.w3c.dom.DOMException` - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
    NAMESPACE_ERR: Raised if the `qualifiedName` is malformed, if the `qualifiedName` has a prefix and the `namespaceURI` is `null`, or if the `qualifiedName` has a prefix that is "xml" and the `namespaceURI` is different from " http://www.w3.org/XML/1998/namespace" .
    WRONG_DOCUMENT_ERR: Raised if `doctype` has already been used with a different document or was created from a different implementation.
  Since:
    DOM Level 2

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved